cmake_minimum_required(VERSION 2.8.12)

set(PROJECT ltrk415)

project(${PROJECT} C)

if(MSVC)    
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)

    if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
        SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS,5.01")
    endif( CMAKE_SIZEOF_VOID_P EQUAL 4 )
    foreach(flag_var
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
       if(${flag_var} MATCHES "/MD")
          string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
       endif(${flag_var} MATCHES "/MD")
    endforeach(flag_var)
endif(MSVC)


set(SOURCES main.c)

set(GETOPT_SRC_DIR ${LTRAPI_LIB_DIR}/getopt)

include_directories(${LTRAPI_INCLUDE_DIR})
link_directories(${LTRAPI_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

target_link_libraries(${PROJECT} ltrk415api)

install(TARGETS ${PROJECT} DESTINATION ${LTRAPI_INSTALL_EXAMPLES})
